Package com.meterware.httpunit

# Class HeaderOnlyWebRequest

java.lang.Object
com.meterware.httpunit.WebRequest
com.meterware.httpunit.HeaderOnlyWebRequest

Direct Known Subclasses:
  `GetMethodWebRequest`, `HeadMethodWebRequest`

public class HeaderOnlyWebRequest extends WebRequest
A web request which has no information in its message body.

Author:
  Russell Gold

## Field Summary

### Fields inherited from class com.meterware.httpunit.WebRequest

`method`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`HeaderOnlyWebRequest(WebResponse referer, Element sourceElement, URL urlBase, String urlString, String target)`
`protected`
`HeaderOnlyWebRequest(String urlString)`
`protected`
`HeaderOnlyWebRequest(URL urlBase, String urlString)`
`protected`
`HeaderOnlyWebRequest(URL urlBase, String urlString, FrameSelector frame, String target)`
`protected`
`HeaderOnlyWebRequest(URL urlBase, String urlString, String target)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getQueryString()`
Returns the query string defined for this request.
`void`
`setMethod(String method)`

### Methods inherited from class com.meterware.httpunit.WebRequest

`completeRequest, getCharacterSet, getContentType, getHeaders, getMethod, getParameter, getParameterHolder, getParameterValues, getRequestParameterNames, getTarget, getURL, getURLBase, getURLString, isFileParameter, isMimeEncoded, maySelectFile, removeParameter, selectFile, selectFile, selectFile, setHeaderField, setImageButtonClickPosition, setParameter, setParameter, setParameter, toString, writeMessageBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeaderOnlyWebRequest

protected HeaderOnlyWebRequest(URL urlBase, String urlString, FrameSelector frame, String target)

### HeaderOnlyWebRequest

protected HeaderOnlyWebRequest(URL urlBase, String urlString, String target)

### HeaderOnlyWebRequest

protected HeaderOnlyWebRequest(WebResponse referer, Element sourceElement, URL urlBase, String urlString, String target)

### HeaderOnlyWebRequest

protected HeaderOnlyWebRequest(URL urlBase, String urlString)

### HeaderOnlyWebRequest

protected HeaderOnlyWebRequest(String urlString)

## Method Details

### getQueryString

public String getQueryString()
Returns the query string defined for this request.

Overrides:
  `getQueryString` in class `WebRequest`

### setMethod

public void setMethod(String method)

Parameters:
  `method` - the method to set